package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Quangcao generated by hbm2java
 */
@Entity
@Table(name="quangcao"
    ,catalog="travel_tour"
)
public class Quangcao  implements java.io.Serializable {


     private Integer id;
     private String hinhanh;
     private String thongdiep;
     private Date ngaydang;

    public Quangcao() {
    }

	
    public Quangcao(String hinhanh, String thongdiep) {
        this.hinhanh = hinhanh;
        this.thongdiep = thongdiep;
    }
    public Quangcao(String hinhanh, String thongdiep, Date ngaydang) {
       this.hinhanh = hinhanh;
       this.thongdiep = thongdiep;
       this.ngaydang = ngaydang;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

    
    @Column(name="hinhanh", nullable=false, length=200)
    public String getHinhanh() {
        return this.hinhanh;
    }
    
    public void setHinhanh(String hinhanh) {
        this.hinhanh = hinhanh;
    }

    
    @Column(name="thongdiep", nullable=false, length=300)
    public String getThongdiep() {
        return this.thongdiep;
    }
    
    public void setThongdiep(String thongdiep) {
        this.thongdiep = thongdiep;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="ngaydang", length=10)
    public Date getNgaydang() {
        return this.ngaydang;
    }
    
    public void setNgaydang(Date ngaydang) {
        this.ngaydang = ngaydang;
    }




}


